## org.eclipse.m2m.atl.adt.ui.text.atl.types
Class UnitType

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
          org.eclipse.m2m.atl.adt.ui.text.atl.types.UnitType

Direct Known Subclasses:
  LibraryType, ModuleType, QueryType

    public abstract class UnitType

extends OclAnyType

The ATL Module type.

Field Summary
`protected AtlSourceManager` `sourceManager`

Fields inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
`oclType`

Constructor Summary
`UnitType(org.eclipse.core.resources.IFile file, AtlSourceManager manager, OclType unitType)` Creates a new ATL Unit from the given source manager.

Method Summary
`static UnitType` `create(org.eclipse.core.resources.IFile file, AtlSourceManager manager)` Returns the atl unit type.
`java.util.Set<Feature>` `getAllAttributes()`
`java.util.Set<Operation>` `getAllHelpers()`
`java.util.Set<Feature>` `getAttributes(OclAnyType type)` Returns all the registered attributes for the given type.
`org.eclipse.core.resources.IFile` `getFile()`
`java.util.Set<Operation>` `getHelpers(OclAnyType type)` Returns all the registered helpers for the given type.
`protected abstract java.util.Collection<org.eclipse.emf.ecore.EObject>` `getHelpersObjects()` Returns the helpers atl objects.
`AtlSourceManager` `getSourceManager()`
`OclAnyType[]` `getSupertypes()`
`protected void` `init()` Initializes the helpers and attributes.

Methods inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
`create, equals, getFeatures, getInstance, getOclType, getOperations, getTypeOperations, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### sourceManager

    protected AtlSourceManager sourceManager

Constructor Detail

### UnitType

    public UnitType(org.eclipse.core.resources.IFile file,
                    AtlSourceManager manager,
                    OclType unitType)

  Creates a new ATL Unit from the given source manager.

  Parameters:
    `file` - the unit file
    `manager` - the source manager
    `unitType` - the unit type

Method Detail

### getFile

    public org.eclipse.core.resources.IFile getFile()

### getSupertypes

    public OclAnyType[] getSupertypes()

  Overrides:
    `getSupertypes` in class `OclAnyType`
  See Also:
    `OclAnyType.getSupertypes()`

### getHelpersObjects

    protected abstract java.util.Collection<org.eclipse.emf.ecore.EObject> getHelpersObjects()

  Returns the helpers atl objects.

  Returns:
    the helpers atl objects

### init

    protected void init()

  Initializes the helpers and attributes.

### getAttributes

    public java.util.Set<Feature> getAttributes(OclAnyType type)

  Returns all the registered attributes for the given type.

  Parameters:
    `type` - the context type
  Returns:
    the registered attributes

### getAllAttributes

    public java.util.Set<Feature> getAllAttributes()

### getHelpers

    public java.util.Set<Operation> getHelpers(OclAnyType type)

  Returns all the registered helpers for the given type.

  Parameters:
    `type` - the context type
  Returns:
    the registered helpers

### getAllHelpers

    public java.util.Set<Operation> getAllHelpers()

### getSourceManager

    public AtlSourceManager getSourceManager()

### create

    public static UnitType create(org.eclipse.core.resources.IFile file,
                                  AtlSourceManager manager)

  Returns the atl unit type.

  Parameters:
    `file` - the unit file
    `manager` - the unit source manager
  Returns:
    the atl unit type

Copyright 2007 IBM Corporation and others. All Rights Reserved.